mlmmj-bounce(1)

NAME
mlmmj-bounce - bounce handling utility for mlmmj

SYNOPSIS
mlmmj-bounce --L /path/to/list [-a john=doe.org | -d] [-n num | -p]

DESCRIPTION

-a  Address string that bounces

-d  Parse the mail to extract the address via the DSN (RFC1891)

-h  Print help

-L path
    Full path to list directory

-n  Message number in the archive that bounced

-p  Send out a probe

-V  Print version

mlmmj-bounce is used to handle mails that are bouncing. When a mail arrives to the system, mlmmj-bounce will register in <listdir>/bounce/<addrstring> info about which number that bounced at what time. An example of such a line could be:

    109:1094409801 # Sun Sep  5 20:43:21 2004

The above shows that message number 109 bounced 1094409801 seconds after epoch which is in human date stamps is Sunday September 5th 20:43:21 2004.

The last bounce mail received to the address is saved in <listdir>/bounce/<addrstring>.lastmsg.

When the -p option is used it sends out a probe email including info that it's a bounce probe and a list of the bounced message numbers. The existence of a <listdir>/bounce/<addrstring>.probe file indicates that a probe have been sent out.

AUTHORS
This manual page was written by the following persons: Søren Boll Overgaard <boll@debian.org> (based on html2man output) Mads Martin Jørgensen <mmj@mmj.dk>